#ifndef NEMO_BASE32_H
#define NEMO_BASE32_H

#ifdef __cplusplus
extern "C" {
#endif

/*
  encode/decode base32 chars
*/

/*
 return char value (not range checked)
*/
char base32_encode(unsigned int c);

/*
 return (ranged checked)
  base32 value (ok)
  -1 (bad)
*/
int base32_decode(unsigned int c);

#ifdef __cplusplus
}
#endif

#endif
