#include "stdint.h"
#include "byte.h"
#include "char.h"

unsigned int byte_case_starts(register const void *data, unsigned int len, register const char *s)
{
  register const char *d;
  register int x;
  register int y;

  d = data;

  while ((y = char_tolower(*s++))) {
    if (!len) return 0;  /* not end of string */
    x = char_tolower(*d++);  /* inline function */
    if (x != y) return 0;
    --len;
  }

  return 1;  /* end of string */
}
