/* Public domain. */

#include "stdint.h"
#include "byte.h"

void byte_copyr(void *to, register unsigned int n, const void *from)
{
  register byte_t *t;
  register const byte_t *s;
  t = to;
  s = from;
  t += n;
  s += n;
  for (;;) {
    if (!n) return;
    *--t = *--s;
    --n;

    if (!n) return;
    *--t = *--s;
    --n;

    if (!n) return;
    *--t = *--s;
    --n;

    if (!n) return;
    *--t = *--s;
    --n;
  }
}
