#include "stdint.h"
#include "fmt.h"
#include "char.h"

unsigned int fmt_ulong(void *out, register unsigned long u)
{
  register char *s;
  register unsigned int len;
  register unsigned long q;
  s = out;
  len = 1;
  q = u;
  while (q > 9) {
    ++len;
    q /= 10;
  }
  if (s) {
    s += len;
    do {
      *--s = char_hex_chars[u % 10];  /* decimal is subset of hex */
      u /= 10;
    } while (u); /* handles u == 0 */
  }
  return len;
}
