#ifndef NEMO_INSTALL_H
#define NEMO_INSTALL_H

#ifdef __cplusplus
extern "C" {
#endif

extern const unsigned int install_manuid;

void    install_init(void);

void	h(const char *home, uid_t uid, gid_t gid, mode_t mode);
void	d(const char *home, const char *subdir, uid_t uid, gid_t gid, mode_t mode);
void	p(const char *home, const char *fifo, uid_t uid, gid_t gid, mode_t mode);
void	c(const char *home, const char *subdir, const char *file, uid_t uid, gid_t gid, mode_t mode);
void	z(const char *home, const char *subdir, const char *file, unsigned int len, uid_t uid, gid_t gid, mode_t mode);

#ifdef __cplusplus
}
#endif

#endif
