#include "stdint.h"
#include "ip4.h"
#include "ip6.h"

void ip6_shift_left(ip6_address *ip)
{
  register byte_t *x;
  register unsigned int i;
  register byte_t carry;

  x = ip->d;
  for (i = 0; i < 15; i++) {
    *x = (byte_t)(*x << 1);
    carry = *(x + 1);  /* borrow from next MSB, part 1 */
    carry >>= 7;       /* borrow from next MSB, part 2 */
    *x |= carry;       /* borrow from next MSB, part 3 */
    x++;
  }
  *x = (byte_t)(*x << 1);
}
