#ifndef NEMO_SA_STREAM_H
#define NEMO_SA_STREAM_H

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {
  const stralloc *sa;
  unsigned int p;
} sa_stream;

#define SA_STREAM {0,0}

#define SA_STREAM_INIT(buf) { (buf), 0 }

static inline void sa_stream_init(register sa_stream *s, const stralloc *sa)
{
  s->sa = sa;
  s->p = 0;
}

static inline void sa_stream_begin(register sa_stream *s)
{
  s->p = 0;
}

unsigned int 	sa_stream_getc(sa_stream *s, void *buf);

#ifdef __cplusplus
}
#endif

#endif
