#include "stralloc.h"
#include "sa_stream.h"

unsigned int sa_stream_getc(register sa_stream *stream, register void *buf)
{
  register char *ch;
  /* do not optimise - allow for unallocated stralloc & changes in length */
  if (stream->p >= stralloc_len(stream->sa)) return 0;
  ch = buf;
  /* do not optimise - allow for realloc in stralloc */
  *ch = stream->sa->s[stream->p];
  stream->p++;
  return 1;
}
