#include "alloc.h"
#include "stralloc.h"
#include "sa_vector.h"

void sa_vector_free(register sa_vector *v)
{
  register unsigned int i;
  register unsigned int len;
  if (!v->va) return;
  len = v->len;
  for (i = 0; i < len; ++i) {
    stralloc_free(&(v->va[i]));
  }
  alloc_free(v->va);
  sa_vector_init(v);
}
