#ifndef NEMO_SCAN_H
#define NEMO_SCAN_H

#ifdef __cplusplus
extern "C" {
#endif

unsigned int	scan_uint(const void *s, unsigned int *u);
unsigned int	scan_xint(const void *s, unsigned int *u);
unsigned int	scan_xshort(const void *s, unsigned short *u);
unsigned int	scan_ulong(const void *s, unsigned long *u);
unsigned int	scan_xlong(const void *s, unsigned long *u);

unsigned int	scan_plusminus(const void *s, int *sign);

unsigned int	scan_long(const void *s, long *i);
unsigned int	scan_8long(const void *s, unsigned long *u);
/*
unsigned int	scan_ushort(const void *s, unsigned short *);
unsigned int	scan_0x(const void *s, unsigned int *);
unsigned int	scan_nbbint(const void *s, unsigned int, unsigned int, unsigned int, unsigned int *);
unsigned int	scan_nbbshort(const void *s, unsigned int, unsigned int, unsigned int, unsigned short *);
unsigned int	scan_nbblong(const void *, unsigned int, unsigned int, unsigned int, unsigned long *);

unsigned int	scan_whitenskip(const void *s, unsigned int);
unsigned int	scan_nonwhitenskip(const void *s, unsigned int);
unsigned int	scan_charsetnskip(const void *s, char *, unsigned int);
unsigned int	scan_noncharsetnskip(const void *s, char *, unsigned int);
*/

#ifdef __cplusplus
}
#endif

#endif
