#include "stdint.h"
#include "scan.h"

unsigned int scan_long(const void *in, long *i)
{
  register const byte_t *s;
  register unsigned int len;
  unsigned long u;
  int sign;

  s = in;
  len = scan_plusminus(s, &sign);
  s += len;
  len += scan_ulong(s, &u);
  *i = (sign < 0) ? -(long)u : (long)u;
  return len;
}
