#include "stdint.h"
#include "scan.h"
#include "char.h"

unsigned int scan_xlong(const void *in, register unsigned long *u)
{
  register const byte_t *s;
  register const byte_t *t;
  register unsigned long value;
  register unsigned long result;
  register byte_t c;

  t = s = in;
  result = 0;
  while ((c = *s)) {
    value = (unsigned long)char_hex_table[c];
    if (value >> 4) break;
    result = (result << 4) | value;
    ++s;
  }
  *u = result;
  return (unsigned int)(s - t);
}
