#include "stdint.h"
#include "stralloc.h"
#include "char.h"

unsigned int stralloc_case_starts(const stralloc *sa, const char *prefix)
{
  register const char *data;
  register unsigned int len;
  register int x;
  register int y;

  data = sa->s;
  len = sa->len;

  while ((x = char_tolower(*prefix++))) {
    if (!len) return 0;  /* not end of string */
    y = char_tolower(*data++);
    if (x != y) return 0;
    --len;
  }

  return 1;  /* end of string */
}
