#include "stralloc.h"

unsigned int stralloc_end(register const stralloc *sa, const stralloc *suffix)
{
  register const char *d1;
  register const char *d2;
  register int offset;

  offset = (int)sa->len - (int)suffix->len;
  if (offset < 0) return 0;

  d1 = sa->s;
  d2 = suffix->s;

  d1 += offset;

  while (offset) {
    if (*d1 != *d2) return 0;
    ++d1;
    ++d2;
    --offset;
  }

  return 1;
}
