#include "stralloc.h"

unsigned int stralloc_equals(const stralloc *sa, register const char *s)
{
  register const char *data;
  register unsigned int len;

  data = sa->s;
  len = sa->len;

  while (*s) {
    if (!len) return 0;  /* not end of string */
    if (*data != *s) return 0;
    ++s;
    ++data;
    --len;
  }

  return !len;  /* end of string, expect len == 0 */
}
