#include "stralloc.h"

unsigned int stralloc_starts(const stralloc *sa, register const char *prefix)
{
  register const char *data;
  register unsigned int len;

  data = sa->s;
  len = sa->len;

  while (*prefix) {
    if (!len) return 0;  /* not end of string */
    if (*data != *prefix) return 0;
    ++prefix;
    ++data;
    --len;
  }

  return 1;  /* end of string */
}
