#include "stdint.h"
#include "unixtypes.h"
#include "tai.h"
#include "taia.h"
#include "char.h"

unsigned int taia_fmtfrac(const struct taia *t, void *d)
{
  register unsigned long ul;
  register byte_t *x;

  x = d;
  if (x) {
    ul = t->atto;

    x[17] = char_hex_table[ul % 10];
    ul /= 10;

    x[16] = char_hex_table[ul % 10];
    ul /= 10;

    x[15] = char_hex_table[ul % 10];
    ul /= 10;

    x[14] = char_hex_table[ul % 10];
    ul /= 10;

    x[13] = char_hex_table[ul % 10];
    ul /= 10;

    x[12] = char_hex_table[ul % 10];
    ul /= 10;

    x[11] = char_hex_table[ul % 10];
    ul /= 10;

    x[10] = char_hex_table[ul % 10];
    ul /= 10;

    x[9] = char_hex_table[ul % 10];

    ul = t->nano;

    x[8] = char_hex_table[ul % 10];
    ul /= 10;

    x[7] = char_hex_table[ul % 10];
    ul /= 10;

    x[6] = char_hex_table[ul % 10];
    ul /= 10;

    x[5] = char_hex_table[ul % 10];
    ul /= 10;

    x[4] = char_hex_table[ul % 10];
    ul /= 10;

    x[3] = char_hex_table[ul % 10];
    ul /= 10;

    x[2] = char_hex_table[ul % 10];
    ul /= 10;

    x[1] = char_hex_table[ul % 10];
    ul /= 10;

    x[0] = char_hex_table[ul % 10];
  }

  return 18;
}
