#include "stdint.h"
#include "unixtypes.h"
#include "tai.h"
#include "taia.h"

void taia_pack(register const struct taia *t, void *d)
{
  register unsigned long ul;
  register byte_t *x;

  x = d;
  tai_pack(&t->sec, x);
  x += 8;

  ul = t->atto;

  x[7] = (byte_t)(ul & 255);
  ul >>= 8;

  x[6] = (byte_t)(ul & 255);
  ul >>= 8;

  x[5] = (byte_t)(ul & 255);
  ul >>= 8;

  x[4] = (byte_t)(ul & 255);

  ul = t->nano;

  x[3] = (byte_t)(ul & 255);
  ul >>= 8;

  x[2] = (byte_t)(ul & 255);
  ul >>= 8;

  x[1] = (byte_t)(ul & 255);
  ul >>= 8;

  x[0] = (byte_t)(ul & 255);
}
