#include "stdint.h"
#include "uint32.h"

void uint32_unpack_big(uint32_t *u, const void *d)
{
  register uint32_t result;
  register const byte_t *x;

  x = d;
  result = (unsigned)(*x++ << 8);
  result |= *x++;
  result <<= 8;
  result |= *x++;
  result <<= 8;
  result |= *x;
  *u = result;
}
