#include "alloc.h"
#include "stdint.h"
#include "uint32_vector.h"

#define	BASE 30

#define	DATA_SIZE sizeof(uint32_t)

unsigned int uint32_vector_realloc(register uint32_vector *v, register unsigned int n)
{
  register unsigned int i;
  i = v->a;
  v->a = BASE + n + (n >> 3);
  if (alloc_re((void **)&v->va, i * DATA_SIZE, v->a * DATA_SIZE)) return 1;
  v->a = i;
  return 0;
}

unsigned int uint32_vector_alloc(register uint32_vector *v, register unsigned int n)
{
  v->len = 0;
  v->a = BASE + n + (n >> 3);
  return (!!(v->va = (uint32_t *)alloc(v->a * DATA_SIZE)));
}
