#include "stdint.h"
#include "uint64.h"

void uint64_reverse(uint64_t *u)
{
  register uint64_t t;
  register uint64_t r;
  register unsigned int i;

  t = *u;
  r = 0;
  for (i = 0; i < 16; i++) {
    r = (uint64_t)((r << 1) | (t & 1));
    t >>= 1;
    r = (uint64_t)((r << 1) | (t & 1));
    t >>= 1;
    r = (uint64_t)((r << 1) | (t & 1));
    t >>= 1;
    r = (uint64_t)((r << 1) | (t & 1));
    t >>= 1;
  }
  *u = r;
}
