#include "stdint.h"
#include "uint64.h"

void uint64_unpack(uint64_t *u, const void *d)
{
  register uint64_t result;
  register const byte_t *x;

  x = d;
  result = (unsigned)(x[7] << 8);
  result |= x[6];
  result <<= 8;
  result |= x[5];
  result <<= 8;
  result |= x[4];
  result <<= 8;
  result |= x[3];
  result <<= 8;
  result |= x[2];
  result <<= 8;
  result |= x[1];
  result <<= 8;
  result |= x[0];
  *u = result;
}
