#ifndef NEMO_BASE32HEX_H
#define NEMO_BASE32HEX_H

#ifdef __cplusplus
extern "C" {
#endif

/*
  encode/decode base32hex chars
*/

/*
 return char value (not range checked)
*/
char base32hex_encode(unsigned int c);

/*
 return (ranged checked)
  base32hex value (ok)
  -1 (bad)
*/
int base32hex_decode(unsigned int c);

#ifdef __cplusplus
}
#endif

#endif
