#include "stdint.h"
#include "byte.h"

void byte_copy(void *to, register unsigned int n, const void *from)
{
  register byte_t *t;
  register const byte_t *s;
  t = to;
  s = from;
  for (;;) {
    if (!n) return;
    *t++ = *s++;
    --n;

    if (!n) return;
    *t++ = *s++;
    --n;

    if (!n) return;
    *t++ = *s++;
    --n;

    if (!n) return;
    *t++ = *s++;
    --n;
  }
}
