#include "stdint.h"
#include "byte.h"

unsigned int byte_equal(const void *x1, register unsigned int len, const void *x2)
{
  register const byte_t *s;
  register const byte_t *t;

  s = x1;
  t = x2;

  for (;;) {
    if (!len) return 1;
    if (*s != *t) break;
    ++s;
    ++t;
    --len;

    if (!len) return 1;
    if (*s != *t) break;
    ++s;
    ++t;
    --len;

    if (!len) return 1;
    if (*s != *t) break;
    ++s;
    ++t;
    --len;

    if (!len) return 1;
    if (*s != *t) break;
    ++s;
    ++t;
    --len;
  }

  return 0;
}
