#include "stdint.h"
#include "fmt.h"
#include "char.h"

unsigned int fmt_8long(void *out, register unsigned long u)
{
  register char *s;
  register unsigned int len;
  register unsigned long q;
  s = out;
  len = 1;
  q = u;
  while (q >> 3) {
    ++len;
    q >>= 3;
  }
  if (s) {
    if (u) {  /* add leading zero for non-zero */
      ++len;
      *s = '0';
    }
    s += len;
    do {
      *--s = char_hex_chars[u & 7];  /* octal is subset of hex */
      u >>= 3;
    } while (u);  /* handles u == 0 */
  }
  return len;
}
