#include "alloc.h"
#include "int_vector.h"

#define	BASE 30

#define	DATA_SIZE sizeof(int)

unsigned int int_vector_realloc(register int_vector *v, register unsigned int n)
{
  register unsigned int i;
  i = v->a;
  v->a = BASE + n + (n >> 3);
  if (alloc_re((void **)&v->va, i * DATA_SIZE, v->a * DATA_SIZE)) return 1;
  v->a = i;
  return 0;
}

unsigned int int_vector_alloc(register int_vector *v, register unsigned int n)
{
  v->len = 0;
  v->a = BASE + n + (n >> 3);
  return (!!(v->va = (int *)alloc(v->a * DATA_SIZE)));
}
