#include "stdint.h"
#include "ip4.h"

unsigned int ip4_equal(const ip4_address *ip1, const ip4_address *ip2)
{
  register const byte_t *d1;
  register const byte_t *d2;
  d1 = ip1->d;
  d2 = ip2->d;
  if (*d1++ != *d2++) return 0;
  if (*d1++ != *d2++) return 0;
  if (*d1++ != *d2++) return 0;
  return (*d1 == *d2);
}
