#include "stdint.h"
#include "ip4.h"
#include "ip6.h"

unsigned int ip6_equal_mask(const ip6_address *ip1, unsigned int mask_depth, const ip6_address *ip2)
{
  ip6_address t1;
  ip6_address t2;

  ip6_copy(&t1, ip1);
  ip6_copy(&t2, ip2);

  ip6_mask_0(&t1, mask_depth);
  ip6_mask_0(&t2, mask_depth);

  return ip6_equal(&t1, &t2);
}
