#include "stdint.h"
#include "ip4.h"
#include "ip6.h"

unsigned int ip6_is_v4_mapped(const ip6_address *ip)
{
  register const byte_t *d1;
  register const byte_t *d2;
  d1 = ip->d;
  d2 = ip6_v4_mapped_prefix->d;
  if (*d1++ != *d2++) return 0;
  if (*d1++ != *d2++) return 0;
  if (*d1++ != *d2++) return 0;
  if (*d1++ != *d2++) return 0;
  if (*d1++ != *d2++) return 0;
  if (*d1++ != *d2++) return 0;
  if (*d1++ != *d2++) return 0;
  if (*d1++ != *d2++) return 0;
  if (*d1++ != *d2++) return 0;
  if (*d1++ != *d2++) return 0;
  if (*d1++ != *d2++) return 0;
  return (*d1 == *d2);
}


