#include "stdint.h"
#include "ip4.h"
#include "ip6.h"

void ip6_shift_right(ip6_address *ip)
{
  register byte_t *x;
  register unsigned int i;
  register byte_t carry;

  x = ip->d + 15;
  for (i = 0; i < 15; i++) {
    *x >>= 1;
    carry = *(x - 1);              /* borrow from previous LSB, part 1 */
    carry = (byte_t)(carry << 7);  /* borrow from previous LSB, part 2 */
    *x |= carry;                   /* borrow from previous LSB, part 3 */
    x--;
  }
  *x >>= 1;
}
