#include <sys/param.h>
#include <unistd.h>
#include <grp.h>

#include "hasshsgr.h"
#include "prot.h"

/* XXX: there are more portability problems here waiting to leap out at me */

int prot_gid(gid_t gid)
{
#ifdef HASSHORTSETGROUPS
  short x[2];
  x[0] = gid;
  x[1] = 73; /* catch errors */
  if (setgroups(1, x) < 0) return -1;
#else
  if (setgroups(1, &gid) < 0) return -1;
#endif
  return setgid(gid); /* _should_ be redundant, but on some systems it isn't */
}
