#include "stralloc.h"
#include "sa_vector.h"

unsigned int sa_vector_appendb(register sa_vector *v, register const void *d, unsigned int len)
{
  if (!sa_vector_readyplus(v, 1)) return 0;
  if (!stralloc_copyb(&(v->va[v->len]), d, len)) return 0;
  v->len++;  /* only do this after success */
  return 1;
}
