#ifndef NEMO_STR_H
#define NEMO_STR_H

#ifdef __cplusplus
extern "C" {
#endif

unsigned int	str_copy(void *to, const void *from);
unsigned int	str_copyb(void *to, const void *from, unsigned int max);
unsigned int	str_cat(void *to, const void *from);

unsigned int	str_equal(const void *s, const void *t);
int		str_diff(const void *s, const void *t);
int		str_diffn(const void *s, const void *t, unsigned int len);

unsigned int	str_case_equal(const void *s, const void *t);
int		str_case_diff(const void *s, const void *t);

unsigned int	str_chr(const void *s, int c);
unsigned int	str_rchr(const void *s, int c);

unsigned int	str_find(const void *s, const void *t);
unsigned int	str_findb(const void *s, const void *t, unsigned int len);

unsigned int	str_start(const void *s, const void *t);
unsigned int	str_case_start(const void *s, const void *t);

unsigned int	str_len(const void *s);

void		str_lower(void *s);

#ifdef __cplusplus
}
#endif

#endif
