#include "stdint.h"
#include "stralloc.h"
#include "char.h"

int stralloc_case_diff(const stralloc *sa1, const stralloc *sa2)
{
  register const char *s1;
  register const char *s2;
  register unsigned int len1;
  register unsigned int len2;
  register int x;
  register int y;

  s1 = sa1->s;
  s2 = sa2->s;

  len1 = sa1->len;
  len2 = sa2->len;

  while (len1 && len2) {
    x = char_tolower(*s1++);
    y = char_tolower(*s2++);
    if (x != y) return x - y;
    --len1;
    --len2;
  }

  return (int)len1 - (int)len2;
}
