#include "stdint.h"
#include "stralloc.h"
#include "char.h"

int stralloc_case_diffs(const stralloc *sa, const char *s)
{
  register const char *data;
  register unsigned int len;
  register int x;
  register int y;

  data = sa->s;
  len = sa->len;

  while ((x = char_tolower(*s++))) {
    if (!len) return -1;  /* not end of string */
    y = char_tolower(*data++);
    if (x != y) return y - x;
    --len;
  }

  return (int)len;  /* end of string */
}
