#include "stdint.h"
#include "stralloc.h"
#include "char.h"

unsigned int stralloc_case_end(register const stralloc *sa, register const stralloc *suffix)
{
  register const char *d1;
  register const char *d2;
  register int offset;
  register int x;
  register int y;

  offset = (int)sa->len - (int)suffix->len;
  if (offset < 0) return 0;

  d1 = sa->s;
  d2 = suffix->s;

  d1 += offset;

  while (offset) {
    x = char_tolower(*d1++);
    y = char_tolower(*d2++);
    if (x != y) return 0;
    --offset;
  }

  return 1;
}
