#include "stdint.h"
#include "char.h"
#include "stralloc.h"

/*
  1 --> OK
  0 --> memory exhasted
*/

#define MASK	0x0f
#define SHIFT	4

unsigned int stralloc_hex_encode(stralloc *out, const stralloc *in)
{
  static stralloc tmp = STRALLOC;
  register char v;
  register unsigned int i;
  register unsigned int len;
  char ch;

  len = in->len;
  if (!len) return stralloc_erase(out);
  if (!stralloc_erase(&tmp)) return 0;
  for (i = 0; i < len; i++) {
    v = in->s[i];
    ch = char_hex_chars[v >> SHIFT];
    if (!stralloc_append(&tmp, &ch)) return 0;
    ch = char_hex_chars[v & MASK];
    if (!stralloc_append(&tmp, &ch)) return 0;
  }
  return stralloc_copy(out, &tmp);
}
