#include "stdint.h"
#include "unixtypes.h"
#include "tai.h"
#include "taia.h"
#include "fmt.h"

unsigned int taia_timestamp(void *out)
{
  register char *s;
  struct taia now;
  char nowpack[TAIA_PACK];

  s = out;
  taia_now(&now);
  taia_pack(&now, nowpack);
  if (s) {
    s[0] = '@';
  }
  return fmt_hexb(s + 1, nowpack, 12) + 1;
}
