#include "stdint.h"
#include "unixtypes.h"
#include "tai.h"
#include "taia.h"

void taia_unpack(register struct taia *t, const void *d)
{
  register unsigned long ul;
  register const byte_t *x;

  x = d;
  tai_unpack(&t->sec, x);
  x += 8;

  ul = x[4];
  ul <<= 8;

  ul += x[5];
  ul <<= 8;

  ul += x[6];
  ul <<= 8;

  ul += x[7];

  t->atto = ul;

  ul = x[0];
  ul <<= 8;

  ul += x[1];
  ul <<= 8;

  ul += x[2];
  ul <<= 8;

  ul += x[3];

  t->nano = ul;
}
