#include <signal.h>

int main(int argc, char **argv)
{
  sigset_t ss;

  if (argc != 1) return 111;  /* keep compiler quiet */
  if (!*argv[0]) return 111;  /* keep compiler quiet */

  sigemptyset(&ss);
  sigaddset(&ss, SIGCHLD);
  sigprocmask(SIG_SETMASK, &ss, (sigset_t *)0);
  return 0;
}
