#include "stdint.h"
#include "uint16.h"

void uint16_reverse(uint16_t *u)
{
  register uint16_t t;
  register uint16_t r;
  register unsigned int i;

  t = *u;
  r = 0;
  for (i = 0; i < 4; i++) {
    r = (uint16_t)((r << 1) | (t & 1));
    t >>= 1;
    r = (uint16_t)((r << 1) | (t & 1));
    t >>= 1;
    r = (uint16_t)((r << 1) | (t & 1));
    t >>= 1;
    r = (uint16_t)((r << 1) | (t & 1));
    t >>= 1;
  }
  *u = r;
}
