#ifndef NEMO_UINT32_H
#define NEMO_UINT32_H

#ifdef __cplusplus
extern "C" {
#endif

void uint32_pack(uint32_t u, void *d);
void uint32_pack_big(uint32_t u, void *d);
void uint32_unpack(uint32_t *u, const void *d);
void uint32_unpack_big(uint32_t *u, const void *d);

void uint32_reverse(uint32_t *u);

unsigned int scan_uint32(const void *s, uint32_t *u);

#ifdef __cplusplus
}
#endif

#endif
