#include "stdint.h"
#include "uint32.h"

void uint32_unpack(uint32_t *u, const void *d)
{
  register uint32_t result;
  register const byte_t *x;

  x = d;
  result = (unsigned)(x[3] << 8);
  result |= x[2];
  result <<= 8;
  result |= x[1];
  result <<= 8;
  result |= x[0];
  *u = result;
}
