#include "alloc.h"
#include "stdint.h"
#include "uint_vector.h"

#define	BASE 30

#define	DATA_SIZE sizeof(unsigned int)

unsigned int uint_vector_realloc(register uint_vector *v, register unsigned int n)
{
  register unsigned int i;
  i = v->a;
  v->a = BASE + n + (n >> 3);
  if (alloc_re((void **)&v->va, i * DATA_SIZE, v->a * DATA_SIZE)) return 1;
  v->a = i;
  return 0;
}

unsigned int uint_vector_alloc(register uint_vector *v, register unsigned int n)
{
  v->len = 0;
  v->a = BASE + n + (n >> 3);
  return (!!(v->va = (unsigned int *)alloc(v->a * DATA_SIZE)));
}
